Skip to main content
PUT
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
kubernetes
/
{clusterId}
/
apps
/
{appId}
Update installed app
curl --request PUT \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "app_version": "<string>",
  "user_config": "<string>"
}
'
import requests

url = "https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId}"

payload = {
"app_version": "<string>",
"user_config": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({app_version: '<string>', user_config: '<string>'})
};

fetch('https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "installed_app": {
    "summary": {
      "base": {
        "app_id": "<string>",
        "cluster_id": "<string>",
        "marketplace_app": {
          "app_name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "icon_url": "<string>",
          "documentation_url": "<string>"
        }
      }
    },
    "revisions": [
      {
        "revision": "<string>",
        "app_version": "<string>",
        "user_config": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "status_conditions": {
          "crds": [
            {
              "crd": "<string>",
              "reasons": [
                {
                  "reason": "<string>",
                  "last_updated": "2023-11-07T05:31:56Z",
                  "message": "<string>"
                }
              ]
            }
          ]
        }
      }
    ]
  }
}

Path Parameters

accountId
string
required
projectId
string
required
clusterId
string
required
appId
string
required

Body

application/json
app_version
string
user_config
string

Response

OK

installed_app
object
required